<?php

// 変数宣言部
$path	= 'system/documents/test/';
// $path	= '/usr/local/apache2/vhdocs/html/www.iwl.world/system/documents/kyc/';
// $path	= '/usr/local/apache2/vhdocs/html/www.iwl.world/system/documents/test/856/';

$cnt	= 0;

for($cnt =0;$cnt < 1000; $cnt) {

	$dir = $path . sprintf('%03d', $cnt++);

	if(!file_exists($dir)) {
		mkdir($dir);
	}
}

foreach(glob($path . '*') as $dirs) {

	$arrs = explode('/', $dirs);

	$account = $arrs[count($arrs) - 1];

	// 口座番号のディレクトリの場合
	if(strlen($account) == 8) {

		$dir = substr($account, 5, 3);

		if(!file_exists($path . $dir . '/' . $account)) {
			mkdir($path . $dir . '/' . $account);
		}

		// ファイルの移動
		foreach(glob($dirs . '/*') as $files) {

			// ファイルの移動
			rename($files
					, $path . $dir . '/' . $account . '/' . basename($files));
		}

		// ディレクトリの削除
		rmdir($dirs);
	}
}

foreach(glob($path . '*') as $dirs) {
	echo $dirs . '<br/>';
}
?>

